Bug 1001711 - [abrt] qemu-system-x86-1.4.2-7.fc19: crash in qemu_spice_create_update
[abrt] qemu-system-x86-1.4.2-7.fc19: crash in qemu_spice_create_update
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gerd Hoffmann
Fedora Extras Quality Assurance
abrt_hash:13c6cd94b9dc9b41ca64699c744...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 10:53 EDT by Alexei Panov
Modified: 2015-02-18 06:25 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:25:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (95.15 KB, text/plain)
2013-08-27 10:53 EDT, Alexei Panov
no flags Details
File: cgroup (392 bytes, text/plain)
2013-08-27 10:53 EDT, Alexei Panov
no flags Details
File: core_backtrace (11.37 KB, text/plain)
2013-08-27 10:53 EDT, Alexei Panov
no flags Details
File: dso_list (9.37 KB, text/plain)
2013-08-27 10:53 EDT, Alexei Panov
no flags Details
File: environ (84 bytes, text/plain)
2013-08-27 10:54 EDT, Alexei Panov
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-27 10:54 EDT, Alexei Panov
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-27 10:58 EDT, Alexei Panov
no flags Details

  None (edit)
Description Alexei Panov 2013-08-27 10:53:25 EDT
Version-Release number of selected component:
qemu-system-x86-1.4.2-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/qemu-system-x86_64 -name sl-livecd -S -machine pc-i440fx-1.4,accel=tcg,usb=off -m 2048 -smp 2,sockets=2,cores=1,threads=1 -uuid b49213b6-1a96-3445-cda2-44323640bb5e -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/sl-livecd.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -drive file=/var/lib/libvirt/images/sl-livecd.img,if=none,id=drive-ide0-0-0,format=raw -device ide-hd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -drive if=none,id=drive-ide0-1-0,readonly=on,format=raw -device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=24,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:2a:bc:69,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -vnc 127.0.0.1:1 -vga qxl -global qxl-vga.ram_size=67108864 -global qxl-vga.vram_size=67108864 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6
crash_function: __memcmp_sse4_1
executable:     /usr/bin/qemu-system-x86_64
kernel:         3.11.0-0.rc5.git6.3.fc19.x86_64
runlevel:       N 5
uid:            107
var_log_messages: Aug 27 18:49:17 localhost abrt[11066]: Saved core dump of pid 10350 (/usr/bin/qemu-system-x86_64) to /var/tmp/abrt/ccpp-2013-08-27-18:49:11-10350 (3429236736 bytes)

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 __memcmp_sse4_1 at ../sysdeps/x86_64/multiarch/memcmp-sse4.S:422
 #1 qemu_spice_create_update at ui/spice-display.c:245
 #2 qemu_spice_display_refresh at ui/spice-display.c:418
 #3 dpy_refresh at /usr/src/debug/qemu-1.4.2/include/ui/console.h:274
 #4 gui_update at vl.c:1597
 #5 qemu_run_timers at qemu-timer.c:394
 #7 qemu_run_all_timers at qemu-timer.c:453
 #8 main_loop_wait at main-loop.c:422
 #9 main_loop at vl.c:2001

Potential duplicate: bug 872889
Comment 1 Alexei Panov 2013-08-27 10:53:34 EDT
Created attachment 791021 [details]
File: backtrace
Comment 2 Alexei Panov 2013-08-27 10:53:40 EDT
Created attachment 791022 [details]
File: cgroup
Comment 3 Alexei Panov 2013-08-27 10:53:47 EDT
Created attachment 791023 [details]
File: core_backtrace
Comment 4 Alexei Panov 2013-08-27 10:53:54 EDT
Created attachment 791024 [details]
File: dso_list
Comment 5 Alexei Panov 2013-08-27 10:54:01 EDT
Created attachment 791025 [details]
File: environ
Comment 6 Alexei Panov 2013-08-27 10:54:08 EDT
Created attachment 791026 [details]
File: exploitable
Comment 7 Alexei Panov 2013-08-27 10:58:23 EDT
Created attachment 791029 [details]
File: limits
Comment 8 Cole Robinson 2013-08-30 19:29:37 EDT
Hmm, this backtrace rears its head again. Any thoughts Hans?
Comment 9 Hans de Goede 2013-08-31 05:28:41 EDT
Hmm, Gerd knows this part of the code best, assigning this to him.
Comment 10 mock 2013-10-16 15:41:25 EDT
tried starting up the enlightment iso. i had another qemu-kvm running at the same time. enlightenment kvm crashed.

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/qemu-system-x86_64 -machine accel=kvm -hda /usr/local/data/iso/elementaryos-stable-amd64.20130810.iso -boot c -m 512M -vga qxl
crash_function: __memcmp_sse4_1
executable:     /usr/bin/qemu-system-x86_64
kernel:         3.11.4-201.fc19.x86_64
package:        qemu-system-x86-1.4.2-12.fc19
reason:         Process /usr/bin/qemu-system-x86_64 was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            0
Comment 11 Fedora End Of Life 2015-01-09 17:16:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-18 06:25:32 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.